PromptEntryBase::SingleAttributes Class Reference

## Public Member Functions

| SingleAttributes (const SingleAttributes &existingSingleAttr)
SingleAttributes & | operator= (const SingleAttributes &existingSingleAttr)

## Public Attributes

bool | SecondaryAuthEntry
tstring | SSOURL
tstring | SSOFinalURL
tstring | SSOTokenCookieName
tstring | SSOErrorCookieName
unsigned int | SSOTimeoutSeconds
tstring | SSOUserAgent
bool | SSOIsExternalBrowser
std::unordered_set< tstring > | SSOClientCertReqIgnoredFqdns

## Constructor & Destructor Documentation

## SingleAttributes() [1/2]

PromptEntryBase::SingleAttributes::SingleAttributes | ( |  | ) |

inline

:
SecondaryAuthEntry(false),
SSOTimeoutSeconds(0),
SSOIsExternalBrowser(false)
{
}

## SingleAttributes() [2/2]

PromptEntryBase::SingleAttributes::SingleAttributes | ( | const SingleAttributes & | existingSingleAttr | ) |

inline explicit

{
deepCopy(existingSingleAttr);
}

## Member Function Documentation

## operator=()

SingleAttributes & PromptEntryBase::SingleAttributes::operator= | ( | const SingleAttributes & | existingSingleAttr | ) |

inline

{
return deepCopy(existingSingleAttr);
}